Feature request #12932

Better "Invalid Layer" error message

Added by David Vanescentes about 4 years ago. Updated over 1 year ago.

Status:Closed
Priority:Low
Assignee:Nathan Woodrow
Category:Browser
Pull Request or Patch supplied:No Resolution:
Easy fix?:No Copied to github as #:21014

Description

When loading spatial data from SQL Server, if the data doesn't conform to the input requirements a message is displaying saying something like "invalid layer - not loaded". Please change this error message to include an explanation of all the format and data requirements that an input layer must conform to (like each row must have a single primary key column, which probably has to be an int) or direct the user to someplace they can go to see the requirements. It would be even better if the error reported exactly which requirement caused the load failure and any other info that will help the user find the problem (e.g. found duplicate id value: "person_id"=12345) but the generic error with a link to requirements would probably be sufficient.

Associated revisions

Revision 66c7d686
Added by Nathan Woodrow over 1 year ago

Fix #12932 - Send and show layer load errors to user

History

#1 Updated by Giovanni Manghi about 2 years ago

  • Easy fix? set to No

#2 Updated by Anonymous over 1 year ago

  • % Done changed from 0 to 100
  • Status changed from Open to Closed

Also available in: Atom PDF